Subject: Re: mapping Perl modules to pkgsrc packages
To: Steve Bellovin <>
From: Andrew Brown <>
List: netbsd-users
Date: 05/04/2003 15:55:05
>I'm trying to install some software (rt -- I wish it were in pkgsrc!) 
>that requires a large number of perl modules.  Some of the modules it 
>thinks are missing were easy to find in pkgsrc; others are harder.  (I 
>don't think I know enough to turn rt into a package; I certain can't if 
>I don't know how to find those modules.)
>rt itself can grab modules from cpan, but I'm nervous about how that 
>would interact with pkgsrc.  Besides, for all the obvious reasons I'd 
>rather use pkgsrc to install things.

see pkgsrc/devel/rt-mysql and pkgsrc/devel/rt-pqsql for version 2.0.13
of rt, though i have to recommend the mysql version over the pgsql
one.  the pgsql one requires postgresql 7.2 in order to function, and
we currently have 7.3.1 in pkgsrc.

|-----< "CODE WARRIOR" >-----|             * "ah!  i see you have the internet (Andrew Brown)                that goes *ping*!"       * "information is power -- share the wealth."